diff --git a/contrib/intarray/bench/bench.pl b/contrib/intarray/bench/bench.pl
index 92035d6..c7d9a7b 100755
--- a/contrib/intarray/bench/bench.pl
+++ b/contrib/intarray/bench/bench.pl
@@ -118,7 +118,8 @@ if ($opt{o})
 print sprintf(
 	"total: %.02f sec; number: %d; for one: %.03f sec; found %d docs\n",
 	$elapsed, $b, $elapsed / $b,
-	$count + 1);
+	$count + 1
+);
 $dbi->disconnect;
 
 sub exec_sql
diff --git a/contrib/seg/sort-segments.pl b/contrib/seg/sort-segments.pl
index 04eafd9..e0e033e 100755
--- a/contrib/seg/sort-segments.pl
+++ b/contrib/seg/sort-segments.pl
@@ -21,7 +21,8 @@ foreach (
 		my $valB = pop @ar;
 		$valB =~ s/[~<> ]+//g;
 		$valA <=> $valB
-	} @rows)
+	} @rows
+  )
 {
 	print "$_\n";
 }
diff --git a/doc/src/sgml/mk_feature_tables.pl b/doc/src/sgml/mk_feature_tables.pl
index 476e50e..503c977 100644
--- a/doc/src/sgml/mk_feature_tables.pl
+++ b/doc/src/sgml/mk_feature_tables.pl
@@ -33,8 +33,10 @@ print "<tbody>\n";
 while (<$feat>)
 {
 	chomp;
-	my ($feature_id,      $feature_name, $subfeature_id,
-		$subfeature_name, $is_supported, $comments) = split /\t/;
+	my (
+		$feature_id,      $feature_name, $subfeature_id,
+		$subfeature_name, $is_supported, $comments
+	) = split /\t/;
 
 	$is_supported eq $yesno || next;
 
diff --git a/src/backend/catalog/Catalog.pm b/src/backend/catalog/Catalog.pm
index 7497d9c..441cf8f 100644
--- a/src/backend/catalog/Catalog.pm
+++ b/src/backend/catalog/Catalog.pm
@@ -34,7 +34,8 @@ sub ParseHeader
 		'Oid'           => 'oid',
 		'NameData'      => 'name',
 		'TransactionId' => 'xid',
-		'XLogRecPtr'    => 'pg_lsn');
+		'XLogRecPtr'    => 'pg_lsn'
+	);
 
 	my %catalog;
 	my $declaring_attributes = 0;
@@ -95,10 +96,12 @@ sub ParseHeader
 		elsif (/^DECLARE_(UNIQUE_)?INDEX\(\s*(\w+),\s*(\d+),\s*(.+)\)/)
 		{
 			push @{ $catalog{indexing} },
-			  { is_unique => $1 ? 1 : 0,
+			  {
+				is_unique => $1 ? 1 : 0,
 				index_name => $2,
 				index_oid  => $3,
-				index_decl => $4 };
+				index_decl => $4
+			  };
 		}
 		elsif (/^CATALOG\((\w+),(\d+),(\w+)\)/)
 		{
diff --git a/src/backend/catalog/genbki.pl b/src/backend/catalog/genbki.pl
index fb61db0..d24dc5f 100644
--- a/src/backend/catalog/genbki.pl
+++ b/src/backend/catalog/genbki.pl
@@ -245,7 +245,8 @@ my %lookup_kind = (
 	pg_operator => \%operoids,
 	pg_opfamily => \%opfoids,
 	pg_proc     => \%procoids,
-	pg_type     => \%typeoids);
+	pg_type     => \%typeoids
+);
 
 
 # Open temp files
@@ -631,7 +632,8 @@ sub gen_pg_attribute
 				{ name => 'cmin',     type => 'cid' },
 				{ name => 'xmax',     type => 'xid' },
 				{ name => 'cmax',     type => 'cid' },
-				{ name => 'tableoid', type => 'oid' });
+				{ name => 'tableoid', type => 'oid' }
+			);
 			foreach my $attr (@SYS_ATTRS)
 			{
 				$attnum--;
diff --git a/src/backend/utils/Gen_fmgrtab.pl b/src/backend/utils/Gen_fmgrtab.pl
index 5fd5313..1cbc250 100644
--- a/src/backend/utils/Gen_fmgrtab.pl
+++ b/src/backend/utils/Gen_fmgrtab.pl
@@ -97,11 +97,13 @@ foreach my $row (@{ $catalog_data{pg_proc} })
 	next if $bki_values{prolang} ne $INTERNALlanguageId;
 
 	push @fmgr,
-	  { oid    => $bki_values{oid},
+	  {
+		oid    => $bki_values{oid},
 		strict => $bki_values{proisstrict},
 		retset => $bki_values{proretset},
 		nargs  => $bki_values{pronargs},
-		prosrc => $bki_values{prosrc}, };
+		prosrc => $bki_values{prosrc},
+	  };
 }
 
 # Emit headers for both files
diff --git a/src/backend/utils/mb/Unicode/UCS_to_BIG5.pl b/src/backend/utils/mb/Unicode/UCS_to_BIG5.pl
index 7d497c6..672d890 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_BIG5.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_BIG5.pl
@@ -48,12 +48,14 @@ foreach my $i (@$cp950txt)
 		&& $code <= 0xf9dc)
 	{
 		push @$all,
-		  { code      => $code,
+		  {
+			code      => $code,
 			ucs       => $ucs,
 			comment   => $i->{comment},
 			direction => BOTH,
 			f         => $i->{f},
-			l         => $i->{l} };
+			l         => $i->{l}
+		  };
 	}
 }
 
diff --git a/src/backend/utils/mb/Unicode/UCS_to_EUC_CN.pl b/src/backend/utils/mb/Unicode/UCS_to_EUC_CN.pl
index 2971e64..0d3184c 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_EUC_CN.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_EUC_CN.pl
@@ -40,8 +40,11 @@ while (<$in>)
 	next if (($code & 0xFF) < 0xA1);
 	next
 	  if (
-		!(     $code >= 0xA100 && $code <= 0xA9FF
-			|| $code >= 0xB000 && $code <= 0xF7FF));
+		!(
+			   $code >= 0xA100 && $code <= 0xA9FF
+			|| $code >= 0xB000 && $code <= 0xF7FF
+		)
+	  );
 
 	next if ($code >= 0xA2A1 && $code <= 0xA2B0);
 	next if ($code >= 0xA2E3 && $code <= 0xA2E4);
@@ -70,11 +73,13 @@ while (<$in>)
 	}
 
 	push @mapping,
-	  { ucs       => $ucs,
+	  {
+		ucs       => $ucs,
 		code      => $code,
 		direction => BOTH,
 		f         => $in_file,
-		l         => $. };
+		l         => $.
+	  };
 }
 close($in);
 
diff --git a/src/backend/utils/mb/Unicode/UCS_to_EUC_JIS_2004.pl b/src/backend/utils/mb/Unicode/UCS_to_EUC_JIS_2004.pl
index 1c1152e..9ad7dd0 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_EUC_JIS_2004.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_EUC_JIS_2004.pl
@@ -33,13 +33,15 @@ while (my $line = <$in>)
 		my $ucs2 = hex($u2);
 
 		push @all,
-		  { direction  => BOTH,
+		  {
+			direction  => BOTH,
 			ucs        => $ucs1,
 			ucs_second => $ucs2,
 			code       => $code,
 			comment    => $rest,
 			f          => $in_file,
-			l          => $. };
+			l          => $.
+		  };
 	}
 	elsif ($line =~ /^0x(.*)[ \t]*U\+(.*)[ \t]*#(.*)$/)
 	{
@@ -52,12 +54,14 @@ while (my $line = <$in>)
 		next if ($code < 0x80 && $ucs < 0x80);
 
 		push @all,
-		  { direction => BOTH,
+		  {
+			direction => BOTH,
 			ucs       => $ucs,
 			code      => $code,
 			comment   => $rest,
 			f         => $in_file,
-			l         => $. };
+			l         => $.
+		  };
 	}
 }
 close($in);
diff --git a/src/backend/utils/mb/Unicode/UCS_to_EUC_JP.pl b/src/backend/utils/mb/Unicode/UCS_to_EUC_JP.pl
index 0ac1f17..dbca4ce 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_EUC_JP.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_EUC_JP.pl
@@ -69,7 +69,8 @@ foreach my $i (@$ct932)
 		$i->{code} = $jis | (
 			$jis < 0x100
 			? 0x8e00
-			: ($sjis >= 0xeffd ? 0x8f8080 : 0x8080));
+			: ($sjis >= 0xeffd ? 0x8f8080 : 0x8080)
+		);
 
 		# Remember the SJIS code for later.
 		$i->{sjis} = $sjis;
@@ -115,352 +116,525 @@ foreach my $i (@mapping)
 }
 
 push @mapping, (
-	{   direction => BOTH,
+	{
+		direction => BOTH,
 		ucs       => 0x4efc,
 		code      => 0x8ff4af,
-		comment   => '# CJK(4EFC)' },
-	{   direction => BOTH,
+		comment   => '# CJK(4EFC)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x50f4,
 		code      => 0x8ff4b0,
-		comment   => '# CJK(50F4)' },
-	{   direction => BOTH,
+		comment   => '# CJK(50F4)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x51EC,
 		code      => 0x8ff4b1,
-		comment   => '# CJK(51EC)' },
-	{   direction => BOTH,
+		comment   => '# CJK(51EC)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x5307,
 		code      => 0x8ff4b2,
-		comment   => '# CJK(5307)' },
-	{   direction => BOTH,
+		comment   => '# CJK(5307)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x5324,
 		code      => 0x8ff4b3,
-		comment   => '# CJK(5324)' },
-	{   direction => BOTH,
+		comment   => '# CJK(5324)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x548A,
 		code      => 0x8ff4b5,
-		comment   => '# CJK(548A)' },
-	{   direction => BOTH,
+		comment   => '# CJK(548A)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x5759,
 		code      => 0x8ff4b6,
-		comment   => '# CJK(5759)' },
-	{   direction => BOTH,
+		comment   => '# CJK(5759)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x589E,
 		code      => 0x8ff4b9,
-		comment   => '# CJK(589E)' },
-	{   direction => BOTH,
+		comment   => '# CJK(589E)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x5BEC,
 		code      => 0x8ff4ba,
-		comment   => '# CJK(5BEC)' },
-	{   direction => BOTH,
+		comment   => '# CJK(5BEC)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x5CF5,
 		code      => 0x8ff4bb,
-		comment   => '# CJK(5CF5)' },
-	{   direction => BOTH,
+		comment   => '# CJK(5CF5)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x5D53,
 		code      => 0x8ff4bc,
-		comment   => '# CJK(5D53)' },
-	{   direction => BOTH,
+		comment   => '# CJK(5D53)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x5FB7,
 		code      => 0x8ff4be,
-		comment   => '# CJK(5FB7)' },
-	{   direction => BOTH,
+		comment   => '# CJK(5FB7)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6085,
 		code      => 0x8ff4bf,
-		comment   => '# CJK(6085)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6085)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6120,
 		code      => 0x8ff4c0,
-		comment   => '# CJK(6120)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6120)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x654E,
 		code      => 0x8ff4c1,
-		comment   => '# CJK(654E)' },
-	{   direction => BOTH,
+		comment   => '# CJK(654E)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x663B,
 		code      => 0x8ff4c2,
-		comment   => '# CJK(663B)' },
-	{   direction => BOTH,
+		comment   => '# CJK(663B)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6665,
 		code      => 0x8ff4c3,
-		comment   => '# CJK(6665)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6665)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6801,
 		code      => 0x8ff4c6,
-		comment   => '# CJK(6801)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6801)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6A6B,
 		code      => 0x8ff4c9,
-		comment   => '# CJK(6A6B)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6A6B)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6AE2,
 		code      => 0x8ff4ca,
-		comment   => '# CJK(6AE2)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6AE2)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6DF2,
 		code      => 0x8ff4cc,
-		comment   => '# CJK(6DF2)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6DF2)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x6DF8,
 		code      => 0x8ff4cb,
-		comment   => '# CJK(6DF8)' },
-	{   direction => BOTH,
+		comment   => '# CJK(6DF8)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x7028,
 		code      => 0x8ff4cd,
-		comment   => '# CJK(7028)' },
-	{   direction => BOTH,
+		comment   => '# CJK(7028)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x70BB,
 		code      => 0x8ff4ae,
-		comment   => '# CJK(70BB)' },
-	{   direction => BOTH,
+		comment   => '# CJK(70BB)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x7501,
 		code      => 0x8ff4d0,
-		comment   => '# CJK(7501)' },
-	{   direction => BOTH,
+		comment   => '# CJK(7501)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x7682,
 		code      => 0x8ff4d1,
-		comment   => '# CJK(7682)' },
-	{   direction => BOTH,
+		comment   => '# CJK(7682)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x769E,
 		code      => 0x8ff4d2,
-		comment   => '# CJK(769E)' },
-	{   direction => BOTH,
+		comment   => '# CJK(769E)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x7930,
 		code      => 0x8ff4d4,
-		comment   => '# CJK(7930)' },
-	{   direction => BOTH,
+		comment   => '# CJK(7930)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x7AE7,
 		code      => 0x8ff4d9,
-		comment   => '# CJK(7AE7)' },
-	{   direction => BOTH,
+		comment   => '# CJK(7AE7)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x7DA0,
 		code      => 0x8ff4dc,
-		comment   => '# CJK(7DA0)' },
-	{   direction => BOTH,
+		comment   => '# CJK(7DA0)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x7DD6,
 		code      => 0x8ff4dd,
-		comment   => '# CJK(7DD6)' },
-	{   direction => BOTH,
+		comment   => '# CJK(7DD6)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x8362,
 		code      => 0x8ff4df,
-		comment   => '# CJK(8362)' },
-	{   direction => BOTH,
+		comment   => '# CJK(8362)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x85B0,
 		code      => 0x8ff4e1,
-		comment   => '# CJK(85B0)' },
-	{   direction => BOTH,
+		comment   => '# CJK(85B0)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x8807,
 		code      => 0x8ff4e4,
-		comment   => '# CJK(8807)' },
-	{   direction => BOTH,
+		comment   => '# CJK(8807)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x8B7F,
 		code      => 0x8ff4e6,
-		comment   => '# CJK(8B7F)' },
-	{   direction => BOTH,
+		comment   => '# CJK(8B7F)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x8CF4,
 		code      => 0x8ff4e7,
-		comment   => '# CJK(8CF4)' },
-	{   direction => BOTH,
+		comment   => '# CJK(8CF4)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x8D76,
 		code      => 0x8ff4e8,
-		comment   => '# CJK(8D76)' },
-	{   direction => BOTH,
+		comment   => '# CJK(8D76)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x90DE,
 		code      => 0x8ff4ec,
-		comment   => '# CJK(90DE)' },
-	{   direction => BOTH,
+		comment   => '# CJK(90DE)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x9115,
 		code      => 0x8ff4ee,
-		comment   => '# CJK(9115)' },
-	{   direction => BOTH,
+		comment   => '# CJK(9115)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x9592,
 		code      => 0x8ff4f1,
-		comment   => '# CJK(9592)' },
-	{   direction => BOTH,
+		comment   => '# CJK(9592)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x973B,
 		code      => 0x8ff4f4,
-		comment   => '# CJK(973B)' },
-	{   direction => BOTH,
+		comment   => '# CJK(973B)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x974D,
 		code      => 0x8ff4f5,
-		comment   => '# CJK(974D)' },
-	{   direction => BOTH,
+		comment   => '# CJK(974D)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x9751,
 		code      => 0x8ff4f6,
-		comment   => '# CJK(9751)' },
-	{   direction => BOTH,
+		comment   => '# CJK(9751)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x999E,
 		code      => 0x8ff4fa,
-		comment   => '# CJK(999E)' },
-	{   direction => BOTH,
+		comment   => '# CJK(999E)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x9AD9,
 		code      => 0x8ff4fb,
-		comment   => '# CJK(9AD9)' },
-	{   direction => BOTH,
+		comment   => '# CJK(9AD9)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x9B72,
 		code      => 0x8ff4fc,
-		comment   => '# CJK(9B72)' },
-	{   direction => BOTH,
+		comment   => '# CJK(9B72)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x9ED1,
 		code      => 0x8ff4fe,
-		comment   => '# CJK(9ED1)' },
-	{   direction => BOTH,
+		comment   => '# CJK(9ED1)'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xF929,
 		code      => 0x8ff4c5,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-F929' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-F929'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xF9DC,
 		code      => 0x8ff4f2,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-F9DC' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-F9DC'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA0E,
 		code      => 0x8ff4b4,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA0E' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA0E'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA0F,
 		code      => 0x8ff4b7,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA0F' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA0F'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA10,
 		code      => 0x8ff4b8,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA10' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA10'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA11,
 		code      => 0x8ff4bd,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA11' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA11'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA12,
 		code      => 0x8ff4c4,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA12' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA12'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA13,
 		code      => 0x8ff4c7,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA13' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA13'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA14,
 		code      => 0x8ff4c8,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA14' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA14'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA15,
 		code      => 0x8ff4ce,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA15' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA15'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA16,
 		code      => 0x8ff4cf,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA16' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA16'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA17,
 		code      => 0x8ff4d3,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA17' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA17'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA18,
 		code      => 0x8ff4d5,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA18' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA18'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA19,
 		code      => 0x8ff4d6,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA19' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA19'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA1A,
 		code      => 0x8ff4d7,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1A' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1A'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA1B,
 		code      => 0x8ff4d8,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1B' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1B'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA1C,
 		code      => 0x8ff4da,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1C' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1C'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA1D,
 		code      => 0x8ff4db,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1D' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1D'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA1E,
 		code      => 0x8ff4de,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1E' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1E'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA1F,
 		code      => 0x8ff4e0,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1F' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA1F'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA20,
 		code      => 0x8ff4e2,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA20' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA20'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA21,
 		code      => 0x8ff4e3,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA21' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA21'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA22,
 		code      => 0x8ff4e5,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA22' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA22'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA23,
 		code      => 0x8ff4e9,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA23' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA23'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA24,
 		code      => 0x8ff4ea,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA24' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA24'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA25,
 		code      => 0x8ff4eb,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA25' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA25'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA26,
 		code      => 0x8ff4ed,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA26' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA26'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA27,
 		code      => 0x8ff4ef,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA27' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA27'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA28,
 		code      => 0x8ff4f0,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA28' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA28'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA29,
 		code      => 0x8ff4f3,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA29' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA29'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA2A,
 		code      => 0x8ff4f7,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2A' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2A'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA2B,
 		code      => 0x8ff4f8,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2B' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2B'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA2C,
 		code      => 0x8ff4f9,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2C' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2C'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFA2D,
 		code      => 0x8ff4fd,
-		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2D' },
-	{   direction => BOTH,
+		comment   => '# CJK COMPATIBILITY IDEOGRAPH-FA2D'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFF07,
 		code      => 0x8ff4a9,
-		comment   => '# FULLWIDTH APOSTROPHE' },
-	{   direction => BOTH,
+		comment   => '# FULLWIDTH APOSTROPHE'
+	},
+	{
+		direction => BOTH,
 		ucs       => 0xFFE4,
 		code      => 0x8fa2c3,
-		comment   => '# FULLWIDTH BROKEN BAR' },
+		comment   => '# FULLWIDTH BROKEN BAR'
+	},
 
 	# additional conversions for EUC_JP -> UTF-8 conversion
-	{   direction => TO_UNICODE,
+	{
+		direction => TO_UNICODE,
 		ucs       => 0x2116,
 		code      => 0x8ff4ac,
-		comment   => '# NUMERO SIGN' },
-	{   direction => TO_UNICODE,
+		comment   => '# NUMERO SIGN'
+	},
+	{
+		direction => TO_UNICODE,
 		ucs       => 0x2121,
 		code      => 0x8ff4ad,
-		comment   => '# TELEPHONE SIGN' },
-	{   direction => TO_UNICODE,
+		comment   => '# TELEPHONE SIGN'
+	},
+	{
+		direction => TO_UNICODE,
 		ucs       => 0x3231,
 		code      => 0x8ff4ab,
-		comment   => '# PARENTHESIZED IDEOGRAPH STOCK' });
+		comment   => '# PARENTHESIZED IDEOGRAPH STOCK'
+	}
+);
 
 print_conversion_tables($this_script, "EUC_JP", \@mapping);
 
diff --git a/src/backend/utils/mb/Unicode/UCS_to_EUC_KR.pl b/src/backend/utils/mb/Unicode/UCS_to_EUC_KR.pl
index 4d6a3ca..e0045ab 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_EUC_KR.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_EUC_KR.pl
@@ -32,23 +32,31 @@ foreach my $i (@$mapping)
 
 # Some extra characters that are not in KSX1001.TXT
 push @$mapping,
-  ( {   direction => BOTH,
+  (
+	{
+		direction => BOTH,
 		ucs       => 0x20AC,
 		code      => 0xa2e6,
 		comment   => '# EURO SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => BOTH,
+		l         => __LINE__
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x00AE,
 		code      => 0xa2e7,
 		comment   => '# REGISTERED SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => BOTH,
+		l         => __LINE__
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x327E,
 		code      => 0xa2e8,
 		comment   => '# CIRCLED HANGUL IEUNG U',
 		f         => $this_script,
-		l         => __LINE__ });
+		l         => __LINE__
+	}
+  );
 
 print_conversion_tables($this_script, "EUC_KR", $mapping);
diff --git a/src/backend/utils/mb/Unicode/UCS_to_EUC_TW.pl b/src/backend/utils/mb/Unicode/UCS_to_EUC_TW.pl
index 89f3cd7..98d4156d 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_EUC_TW.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_EUC_TW.pl
@@ -53,12 +53,14 @@ foreach my $i (@$mapping)
 	if ($origcode >= 0x12121 && $origcode <= 0x20000)
 	{
 		push @extras,
-		  { ucs       => $i->{ucs},
+		  {
+			ucs       => $i->{ucs},
 			code      => ($i->{code} + 0x8ea10000),
 			rest      => $i->{rest},
 			direction => TO_UNICODE,
 			f         => $i->{f},
-			l         => $i->{l} };
+			l         => $i->{l}
+		  };
 	}
 }
 
diff --git a/src/backend/utils/mb/Unicode/UCS_to_GB18030.pl b/src/backend/utils/mb/Unicode/UCS_to_GB18030.pl
index ec184d7..65ffee3 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_GB18030.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_GB18030.pl
@@ -36,11 +36,13 @@ while (<$in>)
 	if ($code >= 0x80 && $ucs >= 0x0080)
 	{
 		push @mapping,
-		  { ucs       => $ucs,
+		  {
+			ucs       => $ucs,
 			code      => $code,
 			direction => BOTH,
 			f         => $in_file,
-			l         => $. };
+			l         => $.
+		  };
 	}
 }
 close($in);
diff --git a/src/backend/utils/mb/Unicode/UCS_to_JOHAB.pl b/src/backend/utils/mb/Unicode/UCS_to_JOHAB.pl
index b580373..ee55961 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_JOHAB.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_JOHAB.pl
@@ -26,23 +26,31 @@ my $mapping = &read_source("JOHAB.TXT");
 
 # Some extra characters that are not in JOHAB.TXT
 push @$mapping,
-  ( {   direction => BOTH,
+  (
+	{
+		direction => BOTH,
 		ucs       => 0x20AC,
 		code      => 0xd9e6,
 		comment   => '# EURO SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => BOTH,
+		l         => __LINE__
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x00AE,
 		code      => 0xd9e7,
 		comment   => '# REGISTERED SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => BOTH,
+		l         => __LINE__
+	},
+	{
+		direction => BOTH,
 		ucs       => 0x327E,
 		code      => 0xd9e8,
 		comment   => '# CIRCLED HANGUL IEUNG U',
 		f         => $this_script,
-		l         => __LINE__ });
+		l         => __LINE__
+	}
+  );
 
 print_conversion_tables($this_script, "JOHAB", $mapping);
diff --git a/src/backend/utils/mb/Unicode/UCS_to_SHIFT_JIS_2004.pl b/src/backend/utils/mb/Unicode/UCS_to_SHIFT_JIS_2004.pl
index d153e4c..bb84458 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_SHIFT_JIS_2004.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_SHIFT_JIS_2004.pl
@@ -33,13 +33,15 @@ while (my $line = <$in>)
 		my $ucs2 = hex($u2);
 
 		push @mapping,
-		  { code       => $code,
+		  {
+			code       => $code,
 			ucs        => $ucs1,
 			ucs_second => $ucs2,
 			comment    => $rest,
 			direction  => BOTH,
 			f          => $in_file,
-			l          => $. };
+			l          => $.
+		  };
 	}
 	elsif ($line =~ /^0x(.*)[ \t]*U\+(.*)[ \t]*#(.*)$/)
 	{
@@ -68,12 +70,14 @@ while (my $line = <$in>)
 		}
 
 		push @mapping,
-		  { code      => $code,
+		  {
+			code      => $code,
 			ucs       => $ucs,
 			comment   => $rest,
 			direction => $direction,
 			f         => $in_file,
-			l         => $. };
+			l         => $.
+		  };
 	}
 }
 close($in);
diff --git a/src/backend/utils/mb/Unicode/UCS_to_SJIS.pl b/src/backend/utils/mb/Unicode/UCS_to_SJIS.pl
index a50f6f3..b8ef979 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_SJIS.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_SJIS.pl
@@ -21,7 +21,8 @@ my $mapping = read_source("CP932.TXT");
 my @reject_sjis = (
 	0xed40 .. 0xeefc, 0x8754 .. 0x875d, 0x878a, 0x8782,
 	0x8784,           0xfa5b,           0xfa54, 0x8790 .. 0x8792,
-	0x8795 .. 0x8797, 0x879a .. 0x879c);
+	0x8795 .. 0x8797, 0x879a .. 0x879c
+);
 
 foreach my $i (@$mapping)
 {
@@ -36,53 +37,71 @@ foreach my $i (@$mapping)
 
 # Add these UTF8->SJIS pairs to the table.
 push @$mapping,
-  ( {   direction => FROM_UNICODE,
+  (
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x00a2,
 		code      => 0x8191,
 		comment   => '# CENT SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => FROM_UNICODE,
+		l         => __LINE__
+	},
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x00a3,
 		code      => 0x8192,
 		comment   => '# POUND SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => FROM_UNICODE,
+		l         => __LINE__
+	},
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x00a5,
 		code      => 0x5c,
 		comment   => '# YEN SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => FROM_UNICODE,
+		l         => __LINE__
+	},
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x00ac,
 		code      => 0x81ca,
 		comment   => '# NOT SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => FROM_UNICODE,
+		l         => __LINE__
+	},
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x2016,
 		code      => 0x8161,
 		comment   => '# DOUBLE VERTICAL LINE',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => FROM_UNICODE,
+		l         => __LINE__
+	},
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x203e,
 		code      => 0x7e,
 		comment   => '# OVERLINE',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => FROM_UNICODE,
+		l         => __LINE__
+	},
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x2212,
 		code      => 0x817c,
 		comment   => '# MINUS SIGN',
 		f         => $this_script,
-		l         => __LINE__ },
-	{   direction => FROM_UNICODE,
+		l         => __LINE__
+	},
+	{
+		direction => FROM_UNICODE,
 		ucs       => 0x301c,
 		code      => 0x8160,
 		comment   => '# WAVE DASH',
 		f         => $this_script,
-		l         => __LINE__ });
+		l         => __LINE__
+	}
+  );
 
 print_conversion_tables($this_script, "SJIS", $mapping);
diff --git a/src/backend/utils/mb/Unicode/UCS_to_UHC.pl b/src/backend/utils/mb/Unicode/UCS_to_UHC.pl
index dc9fb75..4231aaf 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_UHC.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_UHC.pl
@@ -39,22 +39,26 @@ while (<$in>)
 	if ($code >= 0x80 && $ucs >= 0x0080)
 	{
 		push @mapping,
-		  { ucs       => $ucs,
+		  {
+			ucs       => $ucs,
 			code      => $code,
 			direction => BOTH,
 			f         => $in_file,
-			l         => $. };
+			l         => $.
+		  };
 	}
 }
 close($in);
 
 # One extra character that's not in the source file.
 push @mapping,
-  { direction => BOTH,
+  {
+	direction => BOTH,
 	code      => 0xa2e8,
 	ucs       => 0x327e,
 	comment   => 'CIRCLED HANGUL IEUNG U',
 	f         => $this_script,
-	l         => __LINE__ };
+	l         => __LINE__
+  };
 
 print_conversion_tables($this_script, "UHC", \@mapping);
diff --git a/src/backend/utils/mb/Unicode/UCS_to_most.pl b/src/backend/utils/mb/Unicode/UCS_to_most.pl
index 4453449..e302250 100755
--- a/src/backend/utils/mb/Unicode/UCS_to_most.pl
+++ b/src/backend/utils/mb/Unicode/UCS_to_most.pl
@@ -47,7 +47,8 @@ my %filename = (
 	'ISO8859_16' => '8859-16.TXT',
 	'KOI8R'      => 'KOI8-R.TXT',
 	'KOI8U'      => 'KOI8-U.TXT',
-	'GBK'        => 'CP936.TXT');
+	'GBK'        => 'CP936.TXT'
+);
 
 # make maps for all encodings if not specified
 my @charsets = (scalar(@ARGV) > 0) ? @ARGV : sort keys(%filename);
